GNU bug report logs - #37836
27.0.50; Snake exit not save produces segfault

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ergus <spacibba@HIDDEN>; Keywords: unreproducible moreinfo; dated Sun, 20 Oct 2019 19:56:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) unreproducible. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 22 Jan 2020 18:39:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 13:39:29 2020
Received: from localhost ([127.0.0.1]:51302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuKuX-0002Pt-6Y
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 13:39:29 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:44870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>)
 id 1iuKuV-0002Pc-Dw; Wed, 22 Jan 2020 13:39:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Txtmm1rjq4Q4i5nXVRJLYlXIK0Hsph7BUuU+J4EZhNo=; b=qgq3OBSTF7LhMbeaDJ9xncPaci
 t1CsHRAxTay/LgkVg6GAEkxY/nAlt0lx83y5n2C3g8y9lwuKu0SsIwaZWZ9rLTjW16I/LkwnDP2zq
 smgmmy/GhB314uTyNAO76kvBgO9p+BrDoKtXFDZAXSApowIU4qDuEDpYXyI+3rqM9bXKoQPyR/gAl
 CXabV/5OaSsyk9HSsVIlzc8bLIzE+J7PzSlQX+QcF8RTdyvWsCgj/0KFsNIuddonnaU3ypJ1GQdBJ
 oBtkTdkhDbSueyCy0WAuSmbSwNq7uDDBnYPiKd9aZETFAg9Z4s1X+V557nnLVR6xju5+zKDODMohQ
 DUBN0IPQ==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:52684
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iuKuP-000kfD-Hp; Wed, 22 Jan 2020 13:39:21 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Ergus <spacibba@HIDDEN>
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
In-Reply-To: <20200122112552.grjhjughbtle7bhi@Ergus> (Ergus's message of "Wed, 
 22 Jan 2020 12:25:52 +0100")
References: <20191020195448.uyqeqnawomabzyny@Ergus> <83imoi4on6.fsf@HIDDEN>
 <87tv4vwk93.fsf@HIDDEN> <20200120010523.u2bga7y3hzgxqc3r@Ergus>
 <87lfq2tkkp.fsf@HIDDEN> <20200120134137.je6qyftb4y7mhobz@Ergus>
 <87tv4nkfq9.fsf@HIDDEN> <20200122112552.grjhjughbtle7bhi@Ergus>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Wed, 22 Jan 2020 19:39:19 +0100
Message-ID: <871rrrjpyg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37836
Cc: Eli Zaretskii <eliz@HIDDEN>, Jimmy Aguilar Mena <kratsbinovish@HIDDEN>,
 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 37836 + unreproducible
thanks

Ergus <spacibba@HIDDEN> writes:

>>> When I said yes there was not segfault anymore.
>>
>>When you saw it, were you able to reproduce it consistently using the
>>recipe you gave above?
>>
> Yes, but I can't reproduce it now doing a checkout to c2cd27bce.

I tried that too, and I can't reproduce it either.  Strange.

Do you have any idea about what could have been different with your
old build?  Any changes in your environment perhaps?

I'm not really sure how to investigate this beyond that.  Does anyone
else have any ideas here?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 22 Jan 2020 11:26:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 06:26:04 2020
Received: from localhost ([127.0.0.1]:49069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuE95-0004SZ-Rk
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 06:26:04 -0500
Received: from sonic315-13.consmr.mail.bf2.yahoo.com ([74.6.134.123]:37766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iuE93-0004Rw-5d
 for 37836 <at> debbugs.gnu.org; Wed, 22 Jan 2020 06:26:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1579692355; bh=8fKKO10bW8Ho2gn6MScLnEDvceiMQJx1CtV4zhNGrJ4=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=gzDN0mrJk58KhtOi7m5NYvRBa2q5KSbGk8ndvtIWkxDy4l2aw8PY/fBdACJHtJfsRd+cAUlHI3gt2JSqPH2Wn/+LdVR0ZzmzvANKnjvxFvbOEqrcprA2jKX2SN77fhlDAlFcFNIv33IIo/j7Rg8EKgdycEuxsojKD0meYaxbKU9h8TwvER0oWSOwN8jExbcoT0ObFt50czfAQPqsNgdOzbei3Oke10Y1YrV3EfHSqkUB1aEVCysKy+ov15UzvzZykFk91kPyOLA4Um5Nv/E0jJIidKi5fkf8FpenRGN+s3kDPjAPV6sj8JMB3tP/v8kbfZX/r8ir9F8KdUGEPQrZVQ==
X-YMail-OSG: nageNY0VM1kDMxde1khiUanCVvDeEObRv5_BLyj_td7UCt95mFqXJ3LLtbmGsuI
 fx6vxlp9PHhXRetRAfRJrlw0txIVH8u6JFLaD9ARF1kPgAF5AGqxdQciEiCqP8DZPc3lVzlY3cGI
 pH9ELeYiqsGu0BOQ.HZzfyYFbbdLkm1TRjmLBjPh1MbkcBo.L_OS.LWCarp0xTDv1HzUlgWb7dn.
 i0Phrmsyo8T_gBFo9bh3m0z9MvXL2JjLd9H691VnPTa5pyuj5m0sb0VFl6pH917kj2V65crLIfWJ
 DhGxgHKKS2VfMob5IViCThrzKGbqhRRj9zA6v1iX3aRVevNk7Vz5zW5sSGVsMtihQe4Tw9YqlfxL
 .kr3oxNTO7ChDlG9WB2kxcD9EMXwp6zzeWVtDq4TBAiENhc1_oNaVd5Pe0PP5n14mlEOk1djunyM
 khWgn5tFareQSvvp6HbfIzZAV44b3InIIqRqrOrEzzjRv70I4v1v1hnpM8UaFaUDYwc3X6ytKNek
 XKjjzSMh37iJIwKc7CBYDeGmBv3yOHww2KuK27qwGG8kK29NAPnq_7MdBFgJIO2cum0gOBcGyo6g
 XXCuPdl2FA4IE7G1x45jQXjZiiErn58ny7JYxyLhvydc3ybMLCIQ2MmHn5LK5ZVAjMRtnVcbYAu_
 kNkI3L9pn8YvM527Urmk.GtUGVW1UmcbDT4k4WYGnEbOQNeAmbCdGFu50bFiTAwYOfjxyKPHBhbI
 o0uRd7fPpfuMlyJkj9V3sndHpX6RmiNrEXkrW_lXrbUffiOLM.IAcWWpovy7BzEEQcgHcpBoq4ea
 ivxlbEjtySWsAe6E7PAFDMdspKvnY2BleAc8zIb.6lwmtAjAEcWWj.5kw85vFI3bVTMKjZqX0RUb
 7KHHzaii5EdiTYwS0RnZiFhrLOpD1XXKN5ufci1P1fTePeCMY1fxk84CIIX7HjluQnO9nWlyP7b3
 fEWMkgM_h0ZgHa1TTv37aEStrk0MgOUZWx_ZVdQtdBb0Tm4.R8cuCnwYUiKNMWktTYxicPMhgIsh
 UIjH0751KojYTeJGJ3qYBTIQKshnTzGccrxVyWJieQmm2KYyopUbC..KT033yW.VPlA13yAq488P
 e4T0VaUhjiSMf0wOLUhT2LX3u4hDchXZsBFDbsBw2kqgVCfw2dIZELFsszV.3UqCqNw6jEuBdyrm
 O9qgk1UT8A_YVR1.MkaLEpUUzLUwqLe8fauBuaAoAirllZgRbHV8O1wnn_OiOVOO4XOxLoH2w3lv
 V2Fcgr97FfpucYJdZXUvZGa1i71_0zO7E4OvOARxDfc4HnOxpscziZ60Ns2BGubhfGBsoWDBzfEP
 WBwmnTTuOZbJcxlT97wRQsK34PyvYzx0w1ZzP48oAtbfE7QIgB0k8H_cwx_oy6nzKJNGHuEXt9bU
 oJRoipdFW
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.bf2.yahoo.com with HTTP; Wed, 22 Jan 2020 11:25:55 +0000
Received: by smtp406.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 1f57ea5ebc4dd3a361f21feccd49c2ed; 
 Wed, 22 Jan 2020 11:25:54 +0000 (UTC)
Date: Wed, 22 Jan 2020 12:25:52 +0100
From: Ergus <spacibba@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
Message-ID: <20200122112552.grjhjughbtle7bhi@Ergus>
References: <20191020195448.uyqeqnawomabzyny@Ergus> <83imoi4on6.fsf@HIDDEN>
 <87tv4vwk93.fsf@HIDDEN> <20200120010523.u2bga7y3hzgxqc3r@Ergus>
 <87lfq2tkkp.fsf@HIDDEN> <20200120134137.je6qyftb4y7mhobz@Ergus>
 <87tv4nkfq9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <87tv4nkfq9.fsf@HIDDEN>
X-Mailer: WebService/1.1.14873 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 975
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37836
Cc: Eli Zaretskii <eliz@HIDDEN>, Jimmy Aguilar Mena <kratsbinovish@HIDDEN>,
 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Jan 22, 2020 at 10:22:38AM +0100, Stefan Kangas wrote:
>Jimmy Aguilar Mena <kratsbinovish@HIDDEN> writes:
>
>> rm -rf ~/.emacs.d/games
>> emacs -Q
>> M-x snake
>> (wait until it looses and asks to create directory)
>> reply: n
>>
>> Now there is a message (when previously there was a segfault):
>> Error running timer .snake-update-game.: (error "Canceled")
>
>Thanks, yes, I get the same message.
>
>Your bug report was sent using revision c2cd27bce.
>
>Between that revision and HEAD as of today, there has been no change
>to any code in the play/ directory AFAICT.
>
>This makes me suspect that the crash is in fact not related to snake,
>as Eli suggested may be the case.  Which leads me to the below question:
>
>> When I said yes there was not segfault anymore.
>
>When you saw it, were you able to reproduce it consistently using the
>recipe you gave above?
>
Yes, but I can't reproduce it now doing a checkout to c2cd27bce.

>Best regards,
>Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 22 Jan 2020 11:26:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 06:26:03 2020
Received: from localhost ([127.0.0.1]:49067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuE95-0004SX-J4
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 06:26:03 -0500
Received: from sonic315-13.consmr.mail.bf2.yahoo.com ([74.6.134.123]:45176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iuE92-0004Rx-SV
 for 37836 <at> debbugs.gnu.org; Wed, 22 Jan 2020 06:26:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1579692355; bh=8fKKO10bW8Ho2gn6MScLnEDvceiMQJx1CtV4zhNGrJ4=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=gzDN0mrJk58KhtOi7m5NYvRBa2q5KSbGk8ndvtIWkxDy4l2aw8PY/fBdACJHtJfsRd+cAUlHI3gt2JSqPH2Wn/+LdVR0ZzmzvANKnjvxFvbOEqrcprA2jKX2SN77fhlDAlFcFNIv33IIo/j7Rg8EKgdycEuxsojKD0meYaxbKU9h8TwvER0oWSOwN8jExbcoT0ObFt50czfAQPqsNgdOzbei3Oke10Y1YrV3EfHSqkUB1aEVCysKy+ov15UzvzZykFk91kPyOLA4Um5Nv/E0jJIidKi5fkf8FpenRGN+s3kDPjAPV6sj8JMB3tP/v8kbfZX/r8ir9F8KdUGEPQrZVQ==
X-YMail-OSG: nageNY0VM1kDMxde1khiUanCVvDeEObRv5_BLyj_td7UCt95mFqXJ3LLtbmGsuI
 fx6vxlp9PHhXRetRAfRJrlw0txIVH8u6JFLaD9ARF1kPgAF5AGqxdQciEiCqP8DZPc3lVzlY3cGI
 pH9ELeYiqsGu0BOQ.HZzfyYFbbdLkm1TRjmLBjPh1MbkcBo.L_OS.LWCarp0xTDv1HzUlgWb7dn.
 i0Phrmsyo8T_gBFo9bh3m0z9MvXL2JjLd9H691VnPTa5pyuj5m0sb0VFl6pH917kj2V65crLIfWJ
 DhGxgHKKS2VfMob5IViCThrzKGbqhRRj9zA6v1iX3aRVevNk7Vz5zW5sSGVsMtihQe4Tw9YqlfxL
 .kr3oxNTO7ChDlG9WB2kxcD9EMXwp6zzeWVtDq4TBAiENhc1_oNaVd5Pe0PP5n14mlEOk1djunyM
 khWgn5tFareQSvvp6HbfIzZAV44b3InIIqRqrOrEzzjRv70I4v1v1hnpM8UaFaUDYwc3X6ytKNek
 XKjjzSMh37iJIwKc7CBYDeGmBv3yOHww2KuK27qwGG8kK29NAPnq_7MdBFgJIO2cum0gOBcGyo6g
 XXCuPdl2FA4IE7G1x45jQXjZiiErn58ny7JYxyLhvydc3ybMLCIQ2MmHn5LK5ZVAjMRtnVcbYAu_
 kNkI3L9pn8YvM527Urmk.GtUGVW1UmcbDT4k4WYGnEbOQNeAmbCdGFu50bFiTAwYOfjxyKPHBhbI
 o0uRd7fPpfuMlyJkj9V3sndHpX6RmiNrEXkrW_lXrbUffiOLM.IAcWWpovy7BzEEQcgHcpBoq4ea
 ivxlbEjtySWsAe6E7PAFDMdspKvnY2BleAc8zIb.6lwmtAjAEcWWj.5kw85vFI3bVTMKjZqX0RUb
 7KHHzaii5EdiTYwS0RnZiFhrLOpD1XXKN5ufci1P1fTePeCMY1fxk84CIIX7HjluQnO9nWlyP7b3
 fEWMkgM_h0ZgHa1TTv37aEStrk0MgOUZWx_ZVdQtdBb0Tm4.R8cuCnwYUiKNMWktTYxicPMhgIsh
 UIjH0751KojYTeJGJ3qYBTIQKshnTzGccrxVyWJieQmm2KYyopUbC..KT033yW.VPlA13yAq488P
 e4T0VaUhjiSMf0wOLUhT2LX3u4hDchXZsBFDbsBw2kqgVCfw2dIZELFsszV.3UqCqNw6jEuBdyrm
 O9qgk1UT8A_YVR1.MkaLEpUUzLUwqLe8fauBuaAoAirllZgRbHV8O1wnn_OiOVOO4XOxLoH2w3lv
 V2Fcgr97FfpucYJdZXUvZGa1i71_0zO7E4OvOARxDfc4HnOxpscziZ60Ns2BGubhfGBsoWDBzfEP
 WBwmnTTuOZbJcxlT97wRQsK34PyvYzx0w1ZzP48oAtbfE7QIgB0k8H_cwx_oy6nzKJNGHuEXt9bU
 oJRoipdFW
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.bf2.yahoo.com with HTTP; Wed, 22 Jan 2020 11:25:55 +0000
Received: by smtp406.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 1f57ea5ebc4dd3a361f21feccd49c2ed; 
 Wed, 22 Jan 2020 11:25:54 +0000 (UTC)
Date: Wed, 22 Jan 2020 12:25:52 +0100
From: Ergus <spacibba@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
Message-ID: <20200122112552.grjhjughbtle7bhi@Ergus>
References: <20191020195448.uyqeqnawomabzyny@Ergus> <83imoi4on6.fsf@HIDDEN>
 <87tv4vwk93.fsf@HIDDEN> <20200120010523.u2bga7y3hzgxqc3r@Ergus>
 <87lfq2tkkp.fsf@HIDDEN> <20200120134137.je6qyftb4y7mhobz@Ergus>
 <87tv4nkfq9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <87tv4nkfq9.fsf@HIDDEN>
X-Mailer: WebService/1.1.14873 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 975
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37836
Cc: Eli Zaretskii <eliz@HIDDEN>, Jimmy Aguilar Mena <kratsbinovish@HIDDEN>,
 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Jan 22, 2020 at 10:22:38AM +0100, Stefan Kangas wrote:
>Jimmy Aguilar Mena <kratsbinovish@HIDDEN> writes:
>
>> rm -rf ~/.emacs.d/games
>> emacs -Q
>> M-x snake
>> (wait until it looses and asks to create directory)
>> reply: n
>>
>> Now there is a message (when previously there was a segfault):
>> Error running timer .snake-update-game.: (error "Canceled")
>
>Thanks, yes, I get the same message.
>
>Your bug report was sent using revision c2cd27bce.
>
>Between that revision and HEAD as of today, there has been no change
>to any code in the play/ directory AFAICT.
>
>This makes me suspect that the crash is in fact not related to snake,
>as Eli suggested may be the case.  Which leads me to the below question:
>
>> When I said yes there was not segfault anymore.
>
>When you saw it, were you able to reproduce it consistently using the
>recipe you gave above?
>
Yes, but I can't reproduce it now doing a checkout to c2cd27bce.

>Best regards,
>Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 22 Jan 2020 09:22:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 22 04:22:47 2020
Received: from localhost ([127.0.0.1]:48998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iuCDn-0001Sy-Iw
	for submit <at> debbugs.gnu.org; Wed, 22 Jan 2020 04:22:47 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:48206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1iuCDl-0001Sj-Pj
 for 37836 <at> debbugs.gnu.org; Wed, 22 Jan 2020 04:22:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=llorqYbikpndALqs37xvBsDAsCFaRqbdaQ/ebxSSMZw=; b=DjHWocAKEsa1ZkwlhoTQh8iFLf
 kdvj6OJR2AnT1HP61wXrdFGEmSkNQiLdzUzALJBJqzTQEYZYBxDKYNoOmpOSheUe7OIVLmX6osyMC
 B25Gk2kiD0k4rWsnPADOvc6RhGXmLYui/pCAY56nAld4cdaoRc2NSxgwmiZ7yoE4QJg5/LdVz3h7x
 BwTFyhtBRhuvBf9Mxue5MF+Ft8+IMXwV5w0bvAwD+SvYRU7cv/QBnie6zWkaMcfMNfj94HwksBnpX
 OIQW+G1WJga7LkdVMBo71OEqzAXRBAQQGibvS06ILnWGWNm0MdHFCnmJXEXpmTHC/SXYUM1S/q6ef
 GBHBe4Qg==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:36684
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iuCDf-000b17-Uy; Wed, 22 Jan 2020 04:22:40 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Jimmy Aguilar Mena <kratsbinovish@HIDDEN>
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
In-Reply-To: <20200120134137.je6qyftb4y7mhobz@Ergus> (Jimmy Aguilar Mena's
 message of "Mon, 20 Jan 2020 14:41:37 +0100")
References: <20191020195448.uyqeqnawomabzyny@Ergus> <83imoi4on6.fsf@HIDDEN>
 <87tv4vwk93.fsf@HIDDEN> <20200120010523.u2bga7y3hzgxqc3r@Ergus>
 <87lfq2tkkp.fsf@HIDDEN> <20200120134137.je6qyftb4y7mhobz@Ergus>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Wed, 22 Jan 2020 10:22:38 +0100
Message-ID: <87tv4nkfq9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37836
Cc: Ergus <spacibba@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jimmy Aguilar Mena <kratsbinovish@HIDDEN> writes:

> rm -rf ~/.emacs.d/games
> emacs -Q
> M-x snake
> (wait until it looses and asks to create directory)
> reply: n
>
> Now there is a message (when previously there was a segfault):
> Error running timer .snake-update-game.: (error "Canceled")

Thanks, yes, I get the same message.

Your bug report was sent using revision c2cd27bce.

Between that revision and HEAD as of today, there has been no change
to any code in the play/ directory AFAICT.

This makes me suspect that the crash is in fact not related to snake,
as Eli suggested may be the case.  Which leads me to the below question:

> When I said yes there was not segfault anymore.

When you saw it, were you able to reproduce it consistently using the
recipe you gave above?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 20 Jan 2020 16:16:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 11:16:47 2020
Received: from localhost ([127.0.0.1]:45856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itZjH-0000LK-G4
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 11:16:47 -0500
Received: from mail-wm1-f52.google.com ([209.85.128.52]:35617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kratsbinovish@HIDDEN>) id 1itXJK-0004au-Am
 for 37836 <at> debbugs.gnu.org; Mon, 20 Jan 2020 08:41:50 -0500
Received: by mail-wm1-f52.google.com with SMTP id p17so14789059wmb.0
 for <37836 <at> debbugs.gnu.org>; Mon, 20 Jan 2020 05:41:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to;
 bh=+c9hdsmDRGdtNX5oAVioaqIk3Hh70vtNqQl6FGWby+Y=;
 b=i9IXCpSRFnc14BWXWnbt2Xku7aJlKQDX+v6GjV1apUF6bHgULUt1ixStyzZqdTeh4x
 gDYd34LmNo+vhKLp2CGaAdHEVOwNgOI46LHFP3UJdB8B6zilC4XFRvwi2nfwAFKi7XGg
 Espn6S0D1ket7xUCDxNgqeE3Y6lYR/DSYOfMe4eReum9GrgtyN4EFZ5mQfoU87V3ggYI
 h8qhUoK//gsXCOlxIr14NPC8bx+WgsE6VAxyeqvlnyRAWyEuRKfgejHF5Ci3ITXZWEkV
 qKNiLFBY2CCecYelpPe8tZiolKnAA2T4y1NiW+BUtNdUroDq7zCEsutFlUBU1juaHVji
 H5lA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:references
 :mime-version:content-disposition:content-transfer-encoding
 :in-reply-to;
 bh=+c9hdsmDRGdtNX5oAVioaqIk3Hh70vtNqQl6FGWby+Y=;
 b=gvIuOVsjOLulzWK9xEcZLMFxZ7RxmoTRwydemjLZntM7aMUelS0vIQSGtmsA0H5J0X
 vW6VUfGQddaoezbQn6hAR6LE/nFlL23GZMFGQsgf7UuuPGskminBVhaVp0OskDPZwwIT
 mV3G9la9cHrSEg7dsRnIui9bz0NS2eEf3TerE9jkeehRGZQqbbVjvpjcWACT+YPSO9c8
 oJw2RlXCGmdMm/Zlu3s46gl4xD8Plx9pEKRiy00NKS5tAtxTryTTsKxW4xm5CP0+yTWk
 hwcj+Ynzvspu8SVDWaDY6OgaurYrlCmBHTuWgPE0MVcninXgNaRVKpSNVjVBlWjTRG07
 huQg==
X-Gm-Message-State: APjAAAVAE1MWQKUx/dO+18g7uZV70JI4rcSQEd1X56egJ/ANDXHoz49l
 m8tW8C7uqTrjIWrqyFXFcxc=
X-Google-Smtp-Source: APXvYqwp6BHZYplErmgYNQ2lQ2ReO/bwG/A9ysvtwSuCFYJ93gTRIv8pQeMvtzmElmwQ2JP1AwaMnA==
X-Received: by 2002:a7b:c775:: with SMTP id x21mr18965530wmk.59.1579527700426; 
 Mon, 20 Jan 2020 05:41:40 -0800 (PST)
Received: from Ergus (2.152.205.184.dyn.user.ono.com. [2.152.205.184])
 by smtp.gmail.com with ESMTPSA id x6sm22409742wmi.44.2020.01.20.05.41.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 20 Jan 2020 05:41:39 -0800 (PST)
Date: Mon, 20 Jan 2020 14:41:37 +0100
From: Jimmy Aguilar Mena <kratsbinovish@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
Message-ID: <20200120134137.je6qyftb4y7mhobz@Ergus>
References: <20191020195448.uyqeqnawomabzyny@Ergus> <83imoi4on6.fsf@HIDDEN>
 <87tv4vwk93.fsf@HIDDEN> <20200120010523.u2bga7y3hzgxqc3r@Ergus>
 <87lfq2tkkp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87lfq2tkkp.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37836
X-Mailman-Approved-At: Mon, 20 Jan 2020 11:16:42 -0500
Cc: Ergus <spacibba@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Jan 20, 2020 at 12:48:38PM +0100, Stefan Kangas wrote:
>Ergus <spacibba@HIDDEN> writes:
>
>> I haven't try snake anymore for a while. I Just tried it again and the
>> segfault is not there anymore (on master with my config and with
>> emacs -Q).
>
>Thanks.  Do you have a recipe for how you try to reproduce this?
>
rm -rf ~/.emacs.d/games
emacs -Q
M-x snake
(wait until it looses and asks to create directory)
reply: n

Now there is a message (when previously there was a segfault):
Error running timer ‘snake-update-game’: (error "Canceled")

>Have you seen this crash since?
>
Since I reported the issue more or less.

>> This is mainly because it always creates the directory
>> ~/.emacs.d/games independently of my answer when it asks. Is this
>> somehow intended or just an issue hiding the other?
>
>Are you saying that the reason for the crash was a missing directory?
>If so, could you please explain how you have arrived at this
>conclusion?
>
Because the error was triggered when I used to reply no to the create
question.

When I said yes there was not segfault anymore.

>Best regards,
>Stefan Kangas

Best,
Ergus




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 20 Jan 2020 11:55:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 06:55:36 2020
Received: from localhost ([127.0.0.1]:44445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itVeV-0006P6-BX
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 06:55:36 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:53010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1itVeP-0006Op-EB
 for 37836 <at> debbugs.gnu.org; Mon, 20 Jan 2020 06:55:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=F11S0aK/ajJKkNITJ6TaC0nx+BTJSLio/rBYvzzcmTI=; b=XuPOP6bLD7rQhUhpHIITbdy4XK
 ik5GyGo5J/Z6oOPUwCgmENseG9mfscHo+Z6+PvKkjqC8Dnzoz0qqTF7da/zk0hhFEPQMpiEaqI8ZU
 5pzB66ul8cgKIAQLS5lNBpNQ9EdQpBR4uFiVhvx9iHHk1bGZpdDcdCDmAU/rtk7LLW//nr7hDeH7A
 jBPr21TLrXGtMAEfnrkvnKe6Jzud3Dw1WB4UtHXGW/0W/drfHRfQwdIRiRbsHvq5gjHOUEvzghklh
 4JoCX2OuX1BZrZAdkw59TG68OwXOgMEkdfQmVSbyoGO2Hqi010w/MEQVJA6rPVBZWEqaVwV9NYd4V
 9Mp6AeGw==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:53608
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1itVeJ-000H2H-L9; Mon, 20 Jan 2020 06:55:19 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Ergus <spacibba@HIDDEN>
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
In-Reply-To: <87lfq2tkkp.fsf@HIDDEN> (Stefan Kangas's message of "Mon, 20
 Jan 2020 12:48:38 +0100")
References: <20191020195448.uyqeqnawomabzyny@Ergus> <83imoi4on6.fsf@HIDDEN>
 <87tv4vwk93.fsf@HIDDEN> <20200120010523.u2bga7y3hzgxqc3r@Ergus>
 <87lfq2tkkp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Mon, 20 Jan 2020 12:55:17 +0100
Message-ID: <87iml6tk9m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37836
Cc: Eli Zaretskii <eliz@HIDDEN>, 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Are you saying that the reason for the crash was a missing directory?
> If so, could you please explain how you have arrived at this
> conclusion?

I took another look at the back trace, and what Eli writes:

> The backtrace indicates that Emacs got a SIGSEGV inside Fvector that
> was called from some timer function, but the function itself is not
> shown, AFAICT.  It probably isn't related to snake at all.

I think one way of making progress here is trying to figure out which
timer function was being run at the time.  Do you have any idea what
that could have been?  Do you have any timer functions of your own
running?  Were you doing something else in this Emacs session which it
could have been related to?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 20 Jan 2020 11:48:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 06:48:57 2020
Received: from localhost ([127.0.0.1]:44441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itVY5-0006G0-RC
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 06:48:57 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:52390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1itVY0-0006Fh-Ln
 for 37836 <at> debbugs.gnu.org; Mon, 20 Jan 2020 06:48:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=SFONAMCQOYBFq9wUdRDzTNBxqYFZF47sYz3VkXJr4/s=; b=FMMrRKlz2vBuM4nZ8RCQykwY5V
 Yr5WpJNyidV5ti1P05g6XBq/j+Knh3YCma3HIqfnSs+epk+X0pnE0RKz2GZa/XcNviziyHwh93xY+
 NJw8GLXpwjwy6Vcdq1hd6fHGoTCcMjTLprdQHHNEWECKwsegwnXdwyt73J/qZooJg+DcW3e2EUU1R
 JGqNGKYT2bIH0TaIBDC6xaegXwf7xMOz/169w0YUoGg5LxG/KC0RQS4pyfg1N5J9KTCDGDSlEIZCn
 Uyapv1h94ju1ogJT11H1+SPcODkmSe3rr/4RUnfe+WQAKzwRtXT0YQDTopt5hc8jv52/kEI+KKSA0
 femxgF2Q==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:51270
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1itVXs-000FXC-H6; Mon, 20 Jan 2020 06:48:40 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Ergus <spacibba@HIDDEN>
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
In-Reply-To: <20200120010523.u2bga7y3hzgxqc3r@Ergus> (Ergus's message of "Mon, 
 20 Jan 2020 02:05:23 +0100")
References: <20191020195448.uyqeqnawomabzyny@Ergus> <83imoi4on6.fsf@HIDDEN>
 <87tv4vwk93.fsf@HIDDEN> <20200120010523.u2bga7y3hzgxqc3r@Ergus>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Mon, 20 Jan 2020 12:48:38 +0100
Message-ID: <87lfq2tkkp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37836
Cc: Eli Zaretskii <eliz@HIDDEN>, 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ergus <spacibba@HIDDEN> writes:

> I haven't try snake anymore for a while. I Just tried it again and the
> segfault is not there anymore (on master with my config and with
> emacs -Q).

Thanks.  Do you have a recipe for how you try to reproduce this?

Have you seen this crash since?

> This is mainly because it always creates the directory
> ~/.emacs.d/games independently of my answer when it asks. Is this
> somehow intended or just an issue hiding the other?

Are you saying that the reason for the crash was a missing directory?
If so, could you please explain how you have arrived at this
conclusion?

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 20 Jan 2020 01:05:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 20:05:40 2020
Received: from localhost ([127.0.0.1]:44206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itLVc-0003YV-2O
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 20:05:40 -0500
Received: from sonic311-15.consmr.mail.bf2.yahoo.com ([74.6.131.125]:42367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1itLVZ-0003Y7-2w
 for 37836 <at> debbugs.gnu.org; Sun, 19 Jan 2020 20:05:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1579482331; bh=rPSsHFZgrbwfgaD2qusL/R6eFJzXYFUyk6lM5iZqwdw=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=OwmmD4p66WulknSEyNTsQb0aponcwI2i4LrZZZ2CPTgYz2jQSdVJVFDH4bXBibxssbOo1ZkYiaOLXNIMs6kZi4nbP5lcIuVs9UT60eU/AgOg/CsaUpJL7U6p94AeQ024z9ndNtAR/uhUATFKy3LQH40sLMntp3I5RqwLBYVvW4znrLwGaKzR4Ik9bjUnVdmsvZJt8OuSeaPb+sP1y4XzYj5q0PHNJXNWJPSewlOE90T16HMzM3NkJjB8zUKEtAAsK0yW7ZSxqcMG1cfRBYdwQiNpRoD6LfA4Pca/55rES9abIpUJXVde9b8+VAYcSLP5dXStiMPeGEiNkhaKT9dAPw==
X-YMail-OSG: tksQ8fMVM1kAddo8BG9uVjtElrjqGHzvNLoJdOqP4ks0eALKt_1WjbsuCfzoZsB
 nIUBw2Ndif535MXQwOsjhHXRqfrcWTfbw9cGwTAG21tnRW_l859T6qkIHe6j1jnZyocYd7MSeNNy
 yhrjMIET7hKsSQRTuPkWh_FL.JeAZKUODrez2FptXuApgSxDYG.eZt1R4Zr6PwC3R_xqBY6PL1eX
 dNes6ob6FBNP8_bORG.GuabZ8Y9ZOxxeF8s9xzpz1ZRImRR8aBENJZoiwlWtFVVGmPX37RZnVdsX
 kXZJh451gzOZqnP.eNkSxBUUmSbPERpKsJsf._6IREoW.GXwRTcvpWjjtWuJWMBoBrkBRjqofg7e
 HhH21q5E.jUyKeGQXhVz.LkVfPhIp636N_UZQpzt7YNw_9OF3dp7Cy3ogRcVUW.Xz.RKnb.Nkr3b
 G9vK4w3F1AXrMbBSlXEb7yT90SqS8lt3VsVk0xptbdZbkCplcGnSK03dUTf3UZlSFnxrQcOb0fi3
 nCdHs4_zwVYctaVkctI0AzlB0LMg2l8ad7qf6lcuKcdrLtvA1bD9iUpOm1TYYhAGeuYH6RmYMV6L
 d8srokUOgsb_yMdkm0GvygfYTxeD6rXQ69Dxn7CXRZqPxDwX6fCUEjV_27S2rg_n3X7lVbalM.zk
 cYfwBmnP0cYQlY85e04c_7pmbLPRMK6vBxvCXez5kRSFxVlcHQEk_RQVeCSmwaSTNPY_FxyPwQnB
 w.whraMlJ__UXQ9f8Uh.Bgeu1x8FAW.vURn_4UNZLywHTYvLI8m_4l.XU.enlzqbLWPFsm4bgEmU
 LkZL58sWiiKVKo5z_8ZuTErAUBie8Vf3SQ_Sc54leUg0i0ymCRRK5K_FZtiBvNO0Xs7EaRPI5aVj
 k1pm3gdHwpV5uDClL1ZicPyLsMiZPrJ1f_hSBnRs1Qmv3o9_Z2murfPQmmOyg3Jp1ySH11dkFhHg
 escg0NwKhFtzThhivZ0C6lkOgUpiw7vbeJtPcASOB.gR6QAqnMb9kRESUQnWXnc7oOHl.OsBDtEG
 CZrWzUQGLINUWCYqcmKTtpz2Cv7wvKDIzlIMrmE9xwBrdYrIOXuE0LN9knImYcimhfYM4Xet28V1
 S1cZYss7.u4Dqnk651qz8y.ux32NQ2y09Ff47C5wiqt8zTwFf_mIhzDnwrbt86BJOsy2Jx7SOnPu
 gDnWOf3uHR8sRh2hhK4t8tfRt_FdRm5TC7S8q5d9QZDYQxgldGbbp1M_MMcl70sMFFnIF6xgNQ8S
 icw_9zZvyFke2Smj8pcrY2ISH2HuVBIsm2JlF1dCw3Puep1A7ORAtZfNSm38B3cK_UGA0_29aS9N
 hfgx8zi3MC4lz1v0acwi4oZQHKH4t0BXp5whFlktTUIxHIhhJpTMD6ctDdXlV.1LRZaUBBUxgT9s
 KvLF6pXXw
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.bf2.yahoo.com with HTTP; Mon, 20 Jan 2020 01:05:31 +0000
Received: by smtp426.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 85663e0cda1e3dd41e3121728d1d95fc; 
 Mon, 20 Jan 2020 01:05:25 +0000 (UTC)
Date: Mon, 20 Jan 2020 02:05:23 +0100
From: Ergus <spacibba@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
Message-ID: <20200120010523.u2bga7y3hzgxqc3r@Ergus>
References: <20191020195448.uyqeqnawomabzyny@Ergus> <83imoi4on6.fsf@HIDDEN>
 <87tv4vwk93.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <87tv4vwk93.fsf@HIDDEN>
X-Mailer: WebService/1.1.14873 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 1238
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37836
Cc: Eli Zaretskii <eliz@HIDDEN>, 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Jan 16, 2020 at 03:26:00PM +0100, Stefan Kangas wrote:
>Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> Date: Sun, 20 Oct 2019 21:54:48 +0200
>>> From: Ergus via "Bug reports for GNU Emacs,
>>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>>>
>>> I was playing snake and when the game ended it asked to create a
>>> directory. I replied no and a segfault was produced and closed emacs.
>>>
>>> The bt in the core file was this:
>>
>> Can you show the output of xbacktrace?
>>
>> The backtrace indicates that Emacs got a SIGSEGV inside Fvector that
>> was called from some timer function, but the function itself is not
>> shown, AFAICT.  It probably isn't related to snake at all.
>
>It seems like we need more info here to make any progress.  Could you
>try to produce the output that Eli is looking for?  Thanks.
>
Hi Stefan:

I haven't try snake anymore for a while. I Just tried it again and the
segfault is not there anymore (on master with my config and with
emacs -Q). This is mainly because it always creates the directory
~/.emacs.d/games independently of my answer when it asks. Is this
somehow intended or just an issue hiding the other?

Thanks for looking into this,
Ergus

>Best regards,
>Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 20 Jan 2020 01:05:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 20:05:40 2020
Received: from localhost ([127.0.0.1]:44204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itLVb-0003YS-Cl
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 20:05:40 -0500
Received: from sonic311-15.consmr.mail.bf2.yahoo.com ([74.6.131.125]:39636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1itLVY-0003Y8-Po
 for 37836 <at> debbugs.gnu.org; Sun, 19 Jan 2020 20:05:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1579482331; bh=rPSsHFZgrbwfgaD2qusL/R6eFJzXYFUyk6lM5iZqwdw=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From:Subject;
 b=OwmmD4p66WulknSEyNTsQb0aponcwI2i4LrZZZ2CPTgYz2jQSdVJVFDH4bXBibxssbOo1ZkYiaOLXNIMs6kZi4nbP5lcIuVs9UT60eU/AgOg/CsaUpJL7U6p94AeQ024z9ndNtAR/uhUATFKy3LQH40sLMntp3I5RqwLBYVvW4znrLwGaKzR4Ik9bjUnVdmsvZJt8OuSeaPb+sP1y4XzYj5q0PHNJXNWJPSewlOE90T16HMzM3NkJjB8zUKEtAAsK0yW7ZSxqcMG1cfRBYdwQiNpRoD6LfA4Pca/55rES9abIpUJXVde9b8+VAYcSLP5dXStiMPeGEiNkhaKT9dAPw==
X-YMail-OSG: tksQ8fMVM1kAddo8BG9uVjtElrjqGHzvNLoJdOqP4ks0eALKt_1WjbsuCfzoZsB
 nIUBw2Ndif535MXQwOsjhHXRqfrcWTfbw9cGwTAG21tnRW_l859T6qkIHe6j1jnZyocYd7MSeNNy
 yhrjMIET7hKsSQRTuPkWh_FL.JeAZKUODrez2FptXuApgSxDYG.eZt1R4Zr6PwC3R_xqBY6PL1eX
 dNes6ob6FBNP8_bORG.GuabZ8Y9ZOxxeF8s9xzpz1ZRImRR8aBENJZoiwlWtFVVGmPX37RZnVdsX
 kXZJh451gzOZqnP.eNkSxBUUmSbPERpKsJsf._6IREoW.GXwRTcvpWjjtWuJWMBoBrkBRjqofg7e
 HhH21q5E.jUyKeGQXhVz.LkVfPhIp636N_UZQpzt7YNw_9OF3dp7Cy3ogRcVUW.Xz.RKnb.Nkr3b
 G9vK4w3F1AXrMbBSlXEb7yT90SqS8lt3VsVk0xptbdZbkCplcGnSK03dUTf3UZlSFnxrQcOb0fi3
 nCdHs4_zwVYctaVkctI0AzlB0LMg2l8ad7qf6lcuKcdrLtvA1bD9iUpOm1TYYhAGeuYH6RmYMV6L
 d8srokUOgsb_yMdkm0GvygfYTxeD6rXQ69Dxn7CXRZqPxDwX6fCUEjV_27S2rg_n3X7lVbalM.zk
 cYfwBmnP0cYQlY85e04c_7pmbLPRMK6vBxvCXez5kRSFxVlcHQEk_RQVeCSmwaSTNPY_FxyPwQnB
 w.whraMlJ__UXQ9f8Uh.Bgeu1x8FAW.vURn_4UNZLywHTYvLI8m_4l.XU.enlzqbLWPFsm4bgEmU
 LkZL58sWiiKVKo5z_8ZuTErAUBie8Vf3SQ_Sc54leUg0i0ymCRRK5K_FZtiBvNO0Xs7EaRPI5aVj
 k1pm3gdHwpV5uDClL1ZicPyLsMiZPrJ1f_hSBnRs1Qmv3o9_Z2murfPQmmOyg3Jp1ySH11dkFhHg
 escg0NwKhFtzThhivZ0C6lkOgUpiw7vbeJtPcASOB.gR6QAqnMb9kRESUQnWXnc7oOHl.OsBDtEG
 CZrWzUQGLINUWCYqcmKTtpz2Cv7wvKDIzlIMrmE9xwBrdYrIOXuE0LN9knImYcimhfYM4Xet28V1
 S1cZYss7.u4Dqnk651qz8y.ux32NQ2y09Ff47C5wiqt8zTwFf_mIhzDnwrbt86BJOsy2Jx7SOnPu
 gDnWOf3uHR8sRh2hhK4t8tfRt_FdRm5TC7S8q5d9QZDYQxgldGbbp1M_MMcl70sMFFnIF6xgNQ8S
 icw_9zZvyFke2Smj8pcrY2ISH2HuVBIsm2JlF1dCw3Puep1A7ORAtZfNSm38B3cK_UGA0_29aS9N
 hfgx8zi3MC4lz1v0acwi4oZQHKH4t0BXp5whFlktTUIxHIhhJpTMD6ctDdXlV.1LRZaUBBUxgT9s
 KvLF6pXXw
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.bf2.yahoo.com with HTTP; Mon, 20 Jan 2020 01:05:31 +0000
Received: by smtp426.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 85663e0cda1e3dd41e3121728d1d95fc; 
 Mon, 20 Jan 2020 01:05:25 +0000 (UTC)
Date: Mon, 20 Jan 2020 02:05:23 +0100
From: Ergus <spacibba@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
Message-ID: <20200120010523.u2bga7y3hzgxqc3r@Ergus>
References: <20191020195448.uyqeqnawomabzyny@Ergus> <83imoi4on6.fsf@HIDDEN>
 <87tv4vwk93.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
In-Reply-To: <87tv4vwk93.fsf@HIDDEN>
X-Mailer: WebService/1.1.14873 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
Content-Length: 1238
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37836
Cc: Eli Zaretskii <eliz@HIDDEN>, 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, Jan 16, 2020 at 03:26:00PM +0100, Stefan Kangas wrote:
>Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> Date: Sun, 20 Oct 2019 21:54:48 +0200
>>> From: Ergus via "Bug reports for GNU Emacs,
>>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>>>
>>> I was playing snake and when the game ended it asked to create a
>>> directory. I replied no and a segfault was produced and closed emacs.
>>>
>>> The bt in the core file was this:
>>
>> Can you show the output of xbacktrace?
>>
>> The backtrace indicates that Emacs got a SIGSEGV inside Fvector that
>> was called from some timer function, but the function itself is not
>> shown, AFAICT.  It probably isn't related to snake at all.
>
>It seems like we need more info here to make any progress.  Could you
>try to produce the output that Eli is looking for?  Thanks.
>
Hi Stefan:

I haven't try snake anymore for a while. I Just tried it again and the
segfault is not there anymore (on master with my config and with
emacs -Q). This is mainly because it always creates the directory
~/.emacs.d/games independently of my answer when it asks. Is this
somehow intended or just an issue hiding the other?

Thanks for looking into this,
Ergus

>Best regards,
>Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 16 Jan 2020 14:26:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 16 09:26:10 2020
Received: from localhost ([127.0.0.1]:36930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1is666-0004Uq-Eg
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2020 09:26:10 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:49490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1is664-0004UY-6l
 for 37836 <at> debbugs.gnu.org; Thu, 16 Jan 2020 09:26:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=PBmN7DMDyq698WsjxXmhIohn4+nIIl41rsgqsEF4QrE=; b=VoSKhxjcSAvKsg8yLkBPtNDBJV
 m8nAa8B8cGZZDzaiaVkJNwdqTZdDYeMOPoXF/VsTUiq5IYKSWFvSPQeHpL15yWeTrVq3QguyPzpC5
 XNEqYACsqxFsGhZGGE3bGxYcz6AONtlIlOF4q7yMM2NodcndrYllPxtOq+/nb6jvm/Sb6EU0Fd5JH
 OkBK6yxbPL3ksROLgDhPLGbu+Qmox7zMN1v0vJ4jD+wHKfZ4ZrKbZd52e1OUE8BFEu3ItaNbkXddx
 Ekr29pHUKq/pxDB0vxTMiGmpeZ0pzZFaxvgM2eXXS8lChN87T4NUKg9s01X2pLNESYM/r/RjFY7Xa
 BPK5qxjA==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:40002
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1is65x-000Ngg-Tb; Thu, 16 Jan 2020 09:26:02 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
In-Reply-To: <83imoi4on6.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 21 Oct
 2019 09:07:57 +0300")
References: <20191020195448.uyqeqnawomabzyny@Ergus> <83imoi4on6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Thu, 16 Jan 2020 15:26:00 +0100
Message-ID: <87tv4vwk93.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37836
Cc: Ergus <spacibba@HIDDEN>, 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Sun, 20 Oct 2019 21:54:48 +0200
>> From: Ergus via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>> 
>> I was playing snake and when the game ended it asked to create a
>> directory. I replied no and a segfault was produced and closed emacs.
>> 
>> The bt in the core file was this:
>
> Can you show the output of xbacktrace?
>
> The backtrace indicates that Emacs got a SIGSEGV inside Fvector that
> was called from some timer function, but the function itself is not
> shown, AFAICT.  It probably isn't related to snake at all.

It seems like we need more info here to make any progress.  Could you
try to produce the output that Eli is looking for?  Thanks.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37836 <at> debbugs.gnu.org:


Received: (at 37836) by debbugs.gnu.org; 21 Oct 2019 06:08:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 21 02:08:23 2019
Received: from localhost ([127.0.0.1]:55601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMQrf-0003bU-Fv
	for submit <at> debbugs.gnu.org; Mon, 21 Oct 2019 02:08:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iMQrY-0003bA-A3
 for 37836 <at> debbugs.gnu.org; Mon, 21 Oct 2019 02:08:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60317)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iMQrR-0006J3-UK; Mon, 21 Oct 2019 02:08:11 -0400
Received: from [176.228.60.248] (port=1419 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iMQrL-000352-Fr; Mon, 21 Oct 2019 02:08:07 -0400
Date: Mon, 21 Oct 2019 09:07:57 +0300
Message-Id: <83imoi4on6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ergus <spacibba@HIDDEN>
In-reply-to: <20191020195448.uyqeqnawomabzyny@Ergus> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#37836: 27.0.50; Snake exit not save produces segfault
References: <20191020195448.uyqeqnawomabzyny@Ergus>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37836
Cc: 37836 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 20 Oct 2019 21:54:48 +0200
> From: Ergus via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> I was playing snake and when the game ended it asked to create a
> directory. I replied no and a segfault was produced and closed emacs.
> 
> The bt in the core file was this:

Can you show the output of xbacktrace?

The backtrace indicates that Emacs got a SIGSEGV inside Fvector that
was called from some timer function, but the function itself is not
shown, AFAICT.  It probably isn't related to snake at all.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2019 19:55:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 15:55:14 2019
Received: from localhost ([127.0.0.1]:55313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMHIH-0003Te-TK
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 15:55:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:43370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spacibba@HIDDEN>) id 1iMHIG-0003TW-9y
 for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 15:55:13 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48517)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <spacibba@HIDDEN>) id 1iMHIE-0004eW-M9
 for bug-gnu-emacs@HIDDEN; Sun, 20 Oct 2019 15:55:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,SPOOFED_FREEMAIL autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <spacibba@HIDDEN>) id 1iMHIC-0002IU-Kh
 for bug-gnu-emacs@HIDDEN; Sun, 20 Oct 2019 15:55:10 -0400
Received: from sonic310-11.consmr.mail.ir2.yahoo.com ([77.238.177.32]:45973)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <spacibba@HIDDEN>) id 1iMHIC-0002I9-04
 for bug-gnu-emacs@HIDDEN; Sun, 20 Oct 2019 15:55:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aol.com; s=a2048;
 t=1571601305; bh=ivX3xySajkEAno2mL+uA2lNvITU6A9RftsM7Ftw70nU=;
 h=Date:From:To:Subject:From:Subject;
 b=HDmOX22HUmVX+BVKpXImRJg+7F+UUejge9JPDY3Xyz9VVOlkuZoJRscomRp2cDBpYP9a3miRadFvhbqw5Kr51SSra8vCQc/zN+Ph4vmF4WgXAzrPYq9tsLh5x9RVSAki25An5qoudQcPWcnuEwI7tNdo+aQ+VUHt4XjR9GdrG4Wu9Ut5N6v7ZTDhbSadS+Uy/hMoAem1cgoQMyFau9e9eFI/mzu5xqqoVne5WXEiLSZ29eU8l7VuSttKlQHFJYVHtBrJJkZZD0nzRGlHE3NC53V2uW6NhgdJIfxIpSUKTGf9tdH1wNO7sqlY/Ub/xqbQFFr2nBQp1/YK5e6TF+48dQ==
X-YMail-OSG: Oh.j0LwVM1lxsx60zheGrKkWGsk2EJoy5vNYIsYTCP0bjn6Z_rR9uoQXWKNBB82
 4OU0TVQHG42Is5vp6yd3nnk4cgCHcvj7kBAQ9XGlXmdxImv8ktwcvZZbJQvj4683AzJLF8NS6GJv
 ubFG9uDRZTUliQ4rvOxOzx_N9UzUbRVI7Go4BHOLwhT0U0P1VPgcxBf5OVr_IlN2oyKMz2t1yAq4
 gZ8oU8q56n6B6nonXfd24qLATnHC6eR_FOtOlyYUM6l8dCw7aSp.5.Z35eczxMYTto2Eox9EoU6Z
 sOgr05K3cD1unpZZcujrPCo2qOnkohYzXVoHC7mKYwi7GM03a6Jmmjv2PD1AMisjlYRx4z5V_6QH
 shbYn6_S6I2_.zeu.5dy0MbviM9a0FcUxRrHWHXUHcZ_MlaBmw2dVr7mllyQpBJ7vLQcBsCNRvAK
 ReON_gXopOEEVe334rsK0meMyWdyv.o9NpbI_oOrJiMaFFjJJPiZlBdzlbLtnGbEUfqDjs5.LCvu
 0i2fP6CmIx.89PqARMBEo0qMRMfFqgwP3iutGLaM34BWyeez5dtWbCugiRsn.MawfobbM.cMqotr
 WTKLlsneBtZhHGxw82GPRkZFWpcc4Zfu4RRVQqtXYyHTT9DW3JHv53uemJDpmQNFWDXMiJwnvIdN
 zsCpcTmUJVrb3It_W_.zcUYwoEIBwzmliJ3RI9vVuHBr5HChVTIIntIdy2WBhTTCG9FGxgFof5CX
 gvQuOTdkMBLoHteAS.11DihMDqyPpJ7n._HKyXcbUy1j_VHdTj1N_Ch.wrwC8C902UIEvTlfcSr8
 Jgu398we5kmJh_lI9dXTmNnYvyJ1juWN_y2tnmydZKktyVwEZtC6WSAnENLZEKDHUGoFVlQlU.TY
 PYZL5NXE5VFsDXxPXWGZdDRbGqleHLIyDmDVkcpoQ0l7vgE.9l0wlxoQNsLWQwhMQ7nX2G7Xzxun
 TKwAQ8vk4J71gmE3crCmW6OQ1HiN_7pBkegAGr3WWRnYGG9RFA72iksM1MGMJFi2zCaZInBnEY1S
 1B4_5mkcowq24wGuX0pXvVo5P9zuVU6pFKZXQpiRFjptiPeVOrBcE8.R9.I2hLTRh8wqdelJfRrA
 nX3Z.FMROkfZ1ZC6EOWhqEO2C7gcy819FlPsWyCMB5DKkYgHGHwELSYbaaKTqjLBE_LGMWKv5Bdj
 _8vQj_iyWZYq2EdDVjDStzsrFpF7fF1WzmIakIdP8atVpQng3MBUD3b2pu3UdoT6pyt7egnToEj8
 OC20rr2chLLQv2bgmJs8ypvxA95fBYTvL4FCZWGEambzqicqch5nrjPQS2E3S6TTFK5eSJ.XplzQ
 -
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic310.consmr.mail.ir2.yahoo.com with HTTP; Sun, 20 Oct 2019 19:55:05 +0000
Received: by smtp415.mail.ir2.yahoo.com (Oath Hermes SMTP Server) with ESMTPA
 ID 65c4ecf89390ab5a5646033b3a1e36a7; 
 Sun, 20 Oct 2019 19:55:01 +0000 (UTC)
Date: Sun, 20 Oct 2019 21:54:48 +0200
From: Ergus <spacibba@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Snake exit not save produces segfault
Message-ID: <20191020195448.uyqeqnawomabzyny@Ergus>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
User-Agent: NeoMutt/20180716
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-Received-From: 77.238.177.32
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I was playing snake and when the game ended it asked to create a
directory. I replied no and a segfault was produced and closed emacs.

The bt in the core file was this:

#0  0x00005600e3fff6f3 in SYMBOL_NAME (sym=<optimized out>) at ../../src/lisp.h:1005
#1  0x00005600e3fff6f3 in oblookup (obarray=<optimized out>, ptr=0x5600e407d751 "auto-save-hook", size=14, size_byte=14) at ../../src/lread.c:4353
#2  0x00005600e3fff78a in intern_1 (str=str@entry=0x5600e407d751 "auto-save-hook", len=len@entry=14) at ../../src/lread.c:4162
#3  0x00005600e3f9b402 in intern (str=0x5600e407d751 "auto-save-hook") at ../../src/lisp.h:4107
#4  0x00005600e3f9b402 in Fdo_auto_save (no_message=<optimized out>, no_message@entry=0x30, current_only=current_only@entry=0x0) at ../../src/fileio.c:5830
#5  0x00005600e3f658a1 in shut_down_emacs (sig=sig@entry=11, stuff=stuff@entry=0x0) at ../../src/lisp.h:1032
#6  0x00005600e3e85c81 in terminate_due_to_signal (sig=sig@entry=11, backtrace_limit=backtrace_limit@entry=40) at ../../src/lisp.h:1032
#7  0x00005600e3e86105 in handle_fatal_signal (sig=sig@entry=11) at ../../src/sysdep.c:1790
#8  0x00005600e3f7d7cd in deliver_thread_signal (sig=sig@entry=11, handler=0x5600e3e860fa <handle_fatal_signal>) at ../../src/sysdep.c:1764
#9  0x00005600e3f7d849 in deliver_fatal_thread_signal (sig=11) at ../../src/sysdep.c:1887
#10 0x00005600e3f7d849 in handle_sigsegv (sig=11, siginfo=<optimized out>, arg=<optimized out>) at ../../src/sysdep.c:1887
#11 0x00007f849095c930 in <signal handler called> () at /usr/lib/libpthread.so.0
#12 0x00007f8490731a61 in __memmove_avx_unaligned_erms () at /usr/lib/libc.so.6
#13 0x00005600e3fbd058 in memcpy (__len=18446744073709551600, __src=0x5600e6e64528, __dest=<optimized out>) at /usr/include/bits/string_fortified.h:34
#14 0x00005600e3fbd058 in Fvector (nargs=-2, args=0x5600e6e64528) at ../../src/alloc.c:3308
#15 0x00005600e3fdbff3 in Ffuncall (nargs=1, args=args@entry=0x7ffd27382aa8) at ../../src/lisp.h:2109
#16 0x00005600e4011448 in exec_byte_code
    (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=<optimized out>, args=<optimized out>)
    at ../../src/bytecode.c:633
#17 0x00005600e3fdbf57 in Ffuncall (nargs=1, args=args@entry=0x7ffd27382e18) at ../../src/eval.c:2808
#18 0x00005600e4011448 in exec_byte_code
    (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=<optimized out>, args=<optimized out>)
    at ../../src/bytecode.c:633
#19 0x00005600e3fdbf57 in Ffuncall (nargs=1, args=0x7ffd27383338) at ../../src/eval.c:2808
#20 0x00005600e3fdc36c in Fapply (nargs=2, args=0x7ffd27383338) at ../../src/eval.c:2377
#21 0x00005600e3fdbff3 in Ffuncall (nargs=3, args=args@entry=0x7ffd27383330) at ../../src/lisp.h:2109
#22 0x00005600e4011448 in exec_byte_code
    (bytestr=<optimized out>, vector=<optimized out>, maxdepth=<optimized out>, args_template=<optimized out>, nargs=<optimized out>, args=<optimized out>)
    at ../../src/bytecode.c:633
#23 0x00005600e3fdbf57 in Ffuncall (nargs=2, args=0x7ffd273836e0) at ../../src/eval.c:2808
#24 0x00005600e3fdc0aa in call1 (fn=fn@entry=0xd1d0, arg1=arg1@entry=0x5600e65a1db5) at ../../src/eval.c:2654
#25 0x00005600e3f6bc2a in timer_check_2 (idle_timers=<optimized out>, timers=<optimized out>) at ../../src/lisp.h:1032
#26 0x00005600e3f6bc2a in timer_check () at ../../src/keyboard.c:4367
#27 0x00005600e3f6bef5 in readable_events (flags=flags@entry=1) at ../../src/keyboard.c:3366
#28 0x00005600e3f6c948 in get_input_pending (flags=flags@entry=1) at ../../src/keyboard.c:6786
#29 0x00005600e3f6f7c8 in detect_input_pending_run_timers (do_display=do_display@entry=true) at ../../src/keyboard.c:10332
#30 0x00005600e401b954 in wait_reading_process_output
    (time_limit=time_limit@entry=30, nsecs=nsecs@entry=0, read_kbd=read_kbd@entry=-1, do_display=do_display@entry=true, wait_for_cell=wait_for_cell@entry=0x0, wait_proc=w
ait_proc@entry=0x0, just_wait_proc=0) at ../../src/process.c:5655
#31 0x00005600e3e9654f in sit_for (timeout=timeout@entry=0x7a, reading=reading@entry=true, display_option=display_option@entry=1) at ../../src/lisp.h:1032
#32 0x00005600e3f7243a in read_char (commandflag=1, map=0x5600e717afd3, prev_event=0x0, used_mouse_menu=0x7ffd273842cb, end_time=0x0) at ../../src/lisp.h:1147
--Type <RET> for more, q to quit, c to continue without paging--
#33 0x00005600e3f7297a in read_key_sequence
    (keybuf=<optimized out>, prompt=0x0, dont_downcase_last=<optimized out>, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=<optimized out>)
    at ../../src/keyboard.c:9527
#34 0x00005600e3f7401c in command_loop_1 () at ../../src/lisp.h:1032
#35 0x00005600e3fdb287 in internal_condition_case
    (bfun=bfun@entry=0x5600e3f73e20 <command_loop_1>, handlers=handlers@entry=0x90, hfun=hfun@entry=0x5600e3f6afb0 <cmd_error>) at ../../src/eval.c:1355
#36 0x00005600e3f65d14 in command_loop_2 (ignore=ignore@entry=0x0) at ../../src/lisp.h:1032
#37 0x00005600e3fdb1e1 in internal_catch (tag=tag@entry=0xd4a0, func=func@entry=0x5600e3f65cf0 <command_loop_2>, arg=arg@entry=0x0) at ../../src/eval.c:1116
#38 0x00005600e3f65cbb in command_loop () at ../../src/lisp.h:1032
#39 0x00005600e3f6abc6 in recursive_edit_1 () at ../../src/keyboard.c:714
#40 0x00005600e3f6aef2 in Frecursive_edit () at ../../src/keyboard.c:786
#41 0x00005600e3e8c967 in main (argc=2, argv=<optimized out>) at ../../src/emacs.c:2055


In GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.24.12)
 of 2019-10-20 built on Ergus
Repository revision: c2cd27bceb574b749a3de0629d915cb8afb4378e
Repository branch: master
System Description: Arch Linux

Recent messages:
Loading /home/ergo/.emacs.d/custom.el (source)...done
Starting new Ispell process /usr/bin/aspell with default dictionary...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Load time 0.807473
funcall-interactively: End of buffer

Configured using:
 'configure --prefix=/mnt/casa/install_arch/emacs --with-x-toolkit=gtk3
 --with-xft --with-modules --with-mailutils'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix




Acknowledgement sent to Ergus <spacibba@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37836; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 22 Jan 2020 18:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.